## libkfbapi 0.0git20130409

=== CMakeLists.txt ===
project(libkfbapi)

set(KFBAPI_VERSION_MAJOR 1)
set(KFBAPI_VERSION_MINOR 0)
set(KFBAPI_VERSION_RELEASE 0)
set(KFBAPI_LIB_VERSION 1.0)
set(KFBAPI_LIB_SOVERSION 1)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

find_package(KdepimLibs 4.5.63 REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE)

set(QJSON_VERSION_REQUIRED 0.7)
find_package(QJSON ${QJSON_VERSION_REQUIRED})
macro_log_feature(QJSON_FOUND "QJSON" "Qt library for handling JSON data" "http://qjson.sourceforge.net/" TRUE "${QJSON_VERSION_REQUIRED}")

# pkg-config
if (NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/LibKFbAPI.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPI.pc
                  @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPI.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/LibKFbAPIConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPIConfig.cmake
               @ONLY
)

# this file is used by to check if the installed version can be used.
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPIConfigVersion.cmake
                                     ${KFBAPI_VERSION_MAJOR} ${KFBAPI_VERSION_MINOR} ${KFBAPI_VERSION_RELEASE})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPIConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/LibKFbAPIConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/LibKFbAPI)

# Install the file with the exported targets
install(EXPORT kfbapiLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/LibKFbAPI
        FILE LibKFbAPITargetsWithPrefix.cmake)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${KDE4_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
)

add_subdirectory(libkfbapi)
add_subdirectory(po)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ar)
add_subdirectory(be)
add_subdirectory(bs)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hi)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(lt)
add_subdirectory(mai)
add_subdirectory(mr)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(oc)
add_subdirectory(pa)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)
add_subdirectory(zh_TW)

=== debian/changelog ===
libkfbapi (0.0git20130409-0ubuntu1) raring; urgency=low

  * Initial package, replaces libkfacebook from akonadi-facebook LP: #1169336

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Apr 2013 15:40:00 +0100

=== debian/control ===
Source: libkfbapi
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, kdepimlibs5-dev, libboost1.49-dev, libqjson-dev,
 libqtwebkit-dev
Standards-Version: 3.9.4
Section: libs

Package: libkfbapi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkfbapi1 (= ${binary:Version})
Description: Facebook API library for KDE -- development files
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains development files for building software that uses
 the LibKFbAPI library.

Package: libkfbapi1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Facebook API library for KDE
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains the LibKFbAPI library.

Package: libkfbapi1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libkfbapi1 (= ${binary:Version})
Description: Facebook API library for KDE -- debugging symbols
 LibKFbAPI (previously called LibKFacebook) is a C++ library that
 implements APIs for various Facebook services.
 .
 This package contains the debugging symbols for the LibKFbAPI library.

## libkfbapi 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,4 +61,6 @@
 )
 
 add_subdirectory(libkfbapi)
-add_subdirectory(po)
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
+add_subdirectory( po )

=== libkfbapi/CMakeLists.txt ===
project(libkfbapi)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${Boost_INCLUDE_DIR}
)

qt4_generate_moc(appinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_appinfoparser_p.cpp)
qt4_generate_moc(commentinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_commentinfoparser_p.cpp)
qt4_generate_moc(eventinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_eventinfoparser_p.cpp)
qt4_generate_moc(likeinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_likeinfoparser_p.cpp)
qt4_generate_moc(noteinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_noteinfoparser_p.cpp)
qt4_generate_moc(notificationinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_notificationinfoparser_p.cpp)
qt4_generate_moc(postinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_postinfoparser_p.cpp)
qt4_generate_moc(propertyinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_propertyinfoparser_p.cpp)
qt4_generate_moc(userinfoparser_p.h ${CMAKE_CURRENT_BINARY_DIR}/moc_userinfoparser_p.cpp)

set(kfbapi_SRCS
  allpostslistjob.cpp
  authenticationdialog.cpp
  userinfojob.cpp
  userinfo.cpp
  friendlistjob.cpp
  friendjob.cpp
  photojob.cpp
  eventslistjob.cpp
  eventinfo.cpp
  util.cpp
  alleventslistjob.cpp
  eventjob.cpp
  noteinfo.cpp
  noteslistjob.cpp
  allnoteslistjob.cpp
  notejob.cpp
  noteaddjob.cpp
  facebookjobs.cpp
  pagedlistjob.cpp
  listjobbase.cpp
  postinfo.cpp
  postjob.cpp
  postaddjob.cpp
  postslistjob.cpp
  propertyinfo.cpp
  appinfo.cpp
  commentinfo.cpp
  likeinfo.cpp
  notificationinfo.cpp
  notificationslistjob.cpp
  getlikesjob.cpp
  getcommentsjob.cpp
  notificationsmarkreadjob.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_appinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_commentinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_eventinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_likeinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_noteinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_notificationinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_postinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_propertyinfoparser_p.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/moc_userinfoparser_p.cpp

  #connectioninfo.cpp
  #connectionslistjob.cpp
)

kde4_add_library(kfbapi SHARED ${kfbapi_SRCS})

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# Yes, QJSON_LIBRARIES and QJSON_LIBRARY are both needed, as otherwise it will break either
# on Linux or on Mac.
target_link_libraries(kfbapi
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTWEBKIT_LIBRARY}
  ${KDE4_KDEWEBKIT_LIBS}
  ${KDE4_KIO_LIBS}
  ${QJSON_LIBRARIES}
  ${QJSON_LIBRARY}
  ${qjson_LIBRARIES} # for Debian
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KCALCORE_LIBS}
)

set_target_properties(kfbapi PROPERTIES VERSION ${KFBAPI_LIB_VERSION} SOVERSION ${KFBAPI_LIB_SOVERSION})
install(TARGETS kfbapi EXPORT kfbapiLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
  alleventslistjob.h
  allnoteslistjob.h
  allpostslistjob.h
  appinfo.h
  authenticationdialog.h
  commentinfo.h
  eventjob.h
  eventinfo.h
  eventslistjob.h
  facebookjobs.h
  friendlistjob.h
  friendjob.h
  getcommentsjob.h
  getlikesjob.h
  libkfbapi_export.h
  likeinfo.h
  listjobbase.h
  noteinfo.h
  noteslistjob.h
  notejob.h
  noteaddjob.h
  notificationinfo.h
  notificationslistjob.h
  notificationsmarkreadjob.h
  pagedlistjob.h
  photojob.h
  postinfo.h
  postjob.h
  postaddjob.h
  postslistjob.h
  propertyinfo.h
  userinfojob.h
  userinfo.h
  #connectioninfo.h
  #connectionslistjob.h

 DESTINATION ${INCLUDE_INSTALL_DIR}/libkfbapi COMPONENT Devel
)

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( be )
add_subdirectory( bs )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== debian/changelog ===
libkfbapi (1.0-0ubuntu7) wily; urgency=medium

  * Update symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:36:16 +0000

libkfbapi (1.0-0ubuntu6) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:01:36 +0000

libkfbapi (1.0-0ubuntu5) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:08:22 +0100

libkfbapi (1.0-0ubuntu4) trusty; urgency=low

  * In debian/rules prevent kdepim-runtime as a dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 19:03:40 +0000

libkfbapi (1.0-0ubuntu3) trusty; urgency=low

  * Bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 02:17:47 +0100

libkfbapi (1.0-0ubuntu2) saucy; urgency=low

  [ Howard Chan ]
  * Add symbols for libkfbapi1
  * Remove Pre-Depends field for libkfbapi1, not used

  [ Rohan Garg ]
  * Fix Format link in copyright file

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 01 Jul 2013 16:51:57 +0800

libkfbapi (1.0-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1195358)
  * Add symlink to libkfbapi-dev to make lintian happy.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 30 Jun 2013 22:14:31 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, kdepimlibs5-dev, libboost1.49-dev, libqjson-dev,
+ kdelibs5-dev, kdepimlibs5-dev, libboost-dev, libqjson-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.4
 Section: libs
@@ -21,7 +21,6 @@
 
 Package: libkfbapi1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Facebook API library for KDE
  LibKFbAPI (previously called LibKFacebook) is a C++ library that

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libkfbapi1-dbg --with kde --parallel

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime
